Skip to main content

List available cash registers

GET https://pos.paysera.com/eapi/v1/cash-registers

Retrieve the list of cash registers available to the authenticated user.

Authorization

This endpoint requires a Personal Access Token, sent as a Bearer token.

To obtain one, your account needs API permission. Once granted, go to /user/settings in your POS account and create a personal access token.

Authorization Header Format:

Authorization: Bearer YOUR_ACCESS_TOKEN

Example:

Authorization: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...

For more details, see the Authentication section.

Errors

This endpoint may return the following errors:

401 - Unauthorized

Unauthorized

This error was produced by providing incorrect credentials.

403 - Forbidden

Forbidden

This error indicates you don't have permission to access this resource.

429 - Too Many Requests

You have exceeded the rate limit. Please try again in a minute.

500 - Internal Server Error

Internal server error

Example

Request

GET https://pos.paysera.com/eapi/v1/cash-registers
Authorization: Bearer YOUR_ACCESS_TOKEN

Response

{
"data": [
{
"id": 1,
"number": "CR-000000001",
"title": {
"lt": "Pagrindinė kasa",
"en": "Main register"
},
"type": "vfiscal",
"status": "active",
"environment": "production",
"broadcastChannel": "a1b2c3d4",
"cardPaymentTerminalId": 42
}
]
}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://pos.paysera.com

RESPONSE

Cash registers retrieved successfully
{
"data": [
{
"id": 1,
"number": "CR-000000001",
"title": {
"lt": "Pagrindinė kasa",
"en": "Main register"
},
"type": "vfiscal",
"status": "active",
"environment": "production",
"broadcastChannel": "a1b2c3d4",
"cardPaymentTerminalId": 42
}
]
}